<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);

  //echo devuelveEstado(estadoCredito('2018-05-26','2018-05-25'));


  //********* SEGURIDAD GET *************/
  $valor=dcUrl($lblcode);
  $cred=$grupocredito->muestra($valor);
  $gr=$grupo->muestra($cred['idgrupo']);
  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);
  $dus=$usuario->muestra($cred["usuariocreacion"]);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $ddom=$dominio->muestra($cred['frecuenciapago']);

  $pagado=0;
  if ($cred['cuota']==$cred['nrocuotas']) {
    $cuotacobrar=$cred['cuota'];
    $pagado=1;
  }else{
    $cuotacobrar=$cred['cuota']+1;
  }

  
  $canTCred=$credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0");
  $fecha=date('Y-m-d');
  $totalMultas=0;
  $contador=0;
  foreach($credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0") as $dcred)
  {
    $totalMultas=$totalMultas+$dcred['saldoMultas'];
    $contador++;
  }
  $cuotasCorresp=$totalMultas/$contador;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Lista de grupos con crédito";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
    ?>
    <style type="text/css">
      .estIn input{
      border:solid 1px #4286f4;
      width: 138px;
      background-color: white;
    }
    </style>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1051;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="row">
                <div class='col s12 m12 l12'>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>OPCIONES</strong> </div></legend>
                    <input type="hidden" name="idgrupocredito" id="idgrupocredito" value="<?php echo $valor ?>">
                    <a href="../cuotas?lblcode=<?php echo $lblcode ?>" class="btn blue"><i class="fa fa-reply"></i> VOLVER</a>
                    
                  </fieldset>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Grupo</strong> </div></legend>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Ultima Reunión: <b><?php echo $cred['fechaultimo'] ?></b></div>
                      <div class="col s6 m4 l3 green">Fecha: <b><?php echo $cred['fechaproximo'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Cierre: <b><?php echo $cred['fechacierre'] ?></b></div>

                      <div class="col s6 m4 l3">Grupo: <b><?php echo $gr['nombre'] ?></b></div>
                      <div class="col s6 m4 l3">Codigo: <b><?php echo $cred['idgrupocredito'] ?></b></div>
                      <div class="col s6 m4 l3">Zona: <b><?php echo $gr['lugarreunion'] ?></b></div>
                      <div class="col s6 m4 l3">Ciclo: <b><?php echo $gr['idciclo'] ?></b></div> 

                      <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                      <?php
                        if ($cred['nrocuotas']==$cred['cuota']+1) {
                          ?>
                            <div class="col s6 m4 l3 cyan">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                          <?php
                        }else{
                          ?>
                            <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                          <?php
                        }
                      ?>
                      <div class="col s6 m4 l3">Lapso: <b><?php echo $ddom['short'] ?></b></div>
                      <div class="col s6 m4 l3">Tipo Banca: <b><?php echo $tba['nombre'] ?></b></div>
                      <div class="col s6 m4 l3">N° Integrantes: <b><?php echo count($canTCred) ?></b></div> 
                      <div class="col s6 m4 l3">Estado Grupo: <b><?php echo devuelveEstado($cred['estadocredito']) ?></b></div> 
                      <div class="col s6 m4 l3 red animated infinite pulse">Total Caja Chica Cobrado: <b><?php echo $totalMultas;  ?> Bs CADA UNO A <?php echo $cuotasCorresp ?> Bs</b></div> 
                  </fieldset>
                </div> 
              </div>
            </div> 
          </div> 

          <div class="container">
            <div class="section">
              <div class="col s12 m12 l12">
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>CARNET</th> 
                      <th>NOMBRE</th>
                      <th>MONTO OT.</th>
                      <th>SALDO</th>
                      <th>CAJA CHICA</th>
                      <th>ESTADO</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    $totalCCH=0;
                    foreach($credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0") as $dcred)
                    {
                      $dper=$persona->muestra($dcred['idpersona']);
                      $dgr=$grupo->muestra($dcred['idcredito']);
                      switch ($dcred['estadocobro']) { 
                        case '0':
                          $estilo="background-color: #EAFAF1;";
                        break;
                        case '1':
                          $estilo="background-color: #ffc6c6;";
                        break;
                      }
                      $eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
                      $lblcod=ecUrl($dcred['idcredito']);
                      $totalCCH=$dcred['saldoCCH']+$totalCCH;
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $dcred['idcredito'] ?></td>
                      <td><?php echo $dper['carnet'].$dper['expedido'] ?></td>
                      <td><?php echo $dper['nombre']." ".$dper['paterno']." ".$dper['materno'] ?></td>
                      <td><?php echo $dcred['montoOT'] ?></td>
                      <td><?php echo $dcred['saldo'] ?></td>
                      <td>
                        <div class="estIn">
                          <input type="number" name="val<?php echo $dcred['idcredito'] ?>" id="val<?php echo $dcred['idcredito'] ?>" value="<?php echo $dcred['saldoCCH'] ?>" >
                          <button onclick="guardaCCH('<?php echo $dcred['idcredito'] ?>');" class="btn-jh purple"><i class="fa fa-save"></i></button>
                        </div>
                      </td>
                      <?php
                        if ($dcred['estadocredito']>1) {
                          $estiloEst="background-color:#f93469;";
                        }else{
                          $estiloEst="background-color:#EAFAF1";
                        }
                      ?>
                      <td style="<?php echo $estiloEst ?>">..:: <?php echo devuelveEstado($dcred['estadocredito']); ?> ::..</td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
                <fieldset class="informacion">
                    <legend><div class="titulo"><strong>TOTAL</strong> </div></legend>
                    <?php
                      $estiloCUAD="red";
                      if ($totalCCH==$totalMultas) {
                        $estiloCUAD="green";
                      }
                    ?>
                      <div class="col s6 m4 l3">TOTAL CAJA CHICA: <b ><h3 class="<?php echo $estiloCUAD ?>"><?php echo $totalCCH ?></h3></b></div>
                  </fieldset>
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <?php
    /*
      foreach($credito->mostrarTodo("idgrupocredito=".$valor." and estadocobro=1") as $f)
      {
        echo " ".$f['idcredito'];
      }
      */
    ?>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
    ?>
    <script type="text/javascript">
    function guardaCCH(id){
      var monto=$('#val'+id).val();
      var str="monto="+monto+"&idcredito="+id;
      $.ajax({
        url: "guardarAjsute.php",
        type: "POST",
        data: str,
        success: function(resp){
          console.log(resp);
          $('#idresultado').html(resp);
        }
      });
    }
    $(document).ready(function() {
      $('#example2').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });
    $("#idbtniniciar").click(function(){
      swal({
        title: "Estas Seguro?",
        text: "Iniciaras el cobro al grupo correspondiente",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {
        var idgrupoc=$("#idgrupocredito").val();
        $.ajax({
          url: "iniciarcobro.php",
          type: "POST",
          data: "idgrupoc="+idgrupoc,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    });
    $("#idbtncerrar").click(function(){
      swal({
        title: "Estas Seguro de cerrar?",
        text: "Asegurate que todos hayan pagado, Esto generará registros de la cuota del grupo, tambien se actualizara la cuota",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {
        var idgrupoc=$("#idgrupocredito").val();
        $.ajax({
          url: "cerrarCobro.php",
          type: "POST",
          data: "idgrupoc="+idgrupoc,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    });
    </script>
</body>

</html>